Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatReplyMarkup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatReplyMarkup

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatReplyMarkup extends TdApi.Update
The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`replyMarkupMessageId`
Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatReplyMarkup()`
The default chat reply markup was changed.
`UpdateChatReplyMarkup(long chatId, long replyMarkupMessageId)`
The default chat reply markup was changed.
`UpdateChatReplyMarkup(DataInput input)`
The default chat reply markup was changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### replyMarkupMessageId

public long replyMarkupMessageId
Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatReplyMarkup

public UpdateChatReplyMarkup()
The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

### UpdateChatReplyMarkup

public UpdateChatReplyMarkup(long chatId, long replyMarkupMessageId)
The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

Parameters:
  `chatId` - long Chat identifier.
  `replyMarkupMessageId` - long Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

### UpdateChatReplyMarkup

public UpdateChatReplyMarkup(DataInput input) throws IOException
The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`